#!/bin/bash
#
# How to use:
# Change to directory with example and run
# the command bsub -q test -J jobname[1-2] < ~/scripts/rbshield.sh
#
#BSUB -J shieldhit
#BSUB -o lsf%J.stdout.%I
#BSUB -e lsf%J.stderr.%I

NBPWD=$PWD
NBDIR=mytemp${LSB_JOBID}.${LSB_JOBINDEX}

mkdir $NBDIR
cd $NBDIR

echo Working dir is
pwd

cp -r $CERN_STARTER_ORIGINAL_CWD/* .

echo Start shieldhit...
echo ~/bin/shieldhit -N${LSB_JOBINDEX}
~/bin/shieldhit -N${LSB_JOBINDEX}

cp -r * $CERN_STARTER_ORIGINAL_CWD/.
cd $NBPWD
rm -rf $NBDIR
